using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Villain.Data;

namespace Fiesta.Config
{
	public sealed class ServerConfig
	{
		public byte ID;
		public bool Maintenance;

		public static ServerConfig Load(string path)
		{
			return JSON.Deserialize<ServerConfig>(File.ReadAllText(path));
		}

		public string Serialize()
		{
			return JSON.Serialize(this);
		}
	}
}